var handlersFactory = function handlersFactory(_ref) {
  var _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      _ref$onSelectKey = _ref.onSelectKey,
      onSelectKey = _ref$onSelectKey === void 0 ? 'Enter' : _ref$onSelectKey,
      value = _ref.value,
      onSelect = _ref.onSelect;

  var handleClick = function handleClick(ev) {
    if (!disabled) onSelect(ev, {
      value: value
    });
  };

  var handleKeyDown = function handleKeyDown(ev) {
    var key = ev.key;
    var isStringOnSelectKey = typeof onSelectKey === 'string';
    var isPressedOnSelectKey = isStringOnSelectKey ? key === onSelectKey : onSelectKey.includes(key);

    if (isPressedOnSelectKey && !disabled) {
      ev.preventDefault();
      onSelect(ev, {
        value: value
      });
    }
  };

  var handleFocus = function handleFocus(ev) {
    ev.preventDefault();
    ev.stopPropagation();
  };

  return {
    handleClick: handleClick,
    handleKeyDown: handleKeyDown,
    handleFocus: handleFocus
  };
};

export default handlersFactory;